function [ y ] = Jacobi( A,M,b,eps,steps )
%Jacobi Determines the Jacobi-algorithm until steps is reached or until
%||b-A*My||<eps
%   A

D=diag(diag(A*M));
D=inv(D);
s=size(b);
y=zeros(max(s),1);

i=1;
residual = b-A*M*y;
while true
    y=y+D*residual;
    residual = b-A*M*y;
    if norm(residual,1) < eps || i >= steps
        fprintf('Finished Jacobi in step: %d with residual norm: %d\n', i, norm(residual,1))
        break;
    end
    i=i+1;
end
y=M*y;

end

